function kalmanGain = sodaCalcKalmanGain(ensembleCov,measOperator,...
    measErrCov,kalmanGain,iIter)

warning('off','MATLAB:nearlySingularMatrix')
kalmanGain(iIter+1,:,:) = ensembleCov*measOperator'*...
    inv(measOperator*ensembleCov*measOperator'+measErrCov);
warning('on','MATLAB:nearlySingularMatrix')


disp('')

